CreatePaymentCredentialProvider
Creates a new payment credential provider for storing authentication credentials used by payment connectors to communicate with external payment providers.
Request Syntax
POST /identities/CreatePaymentCredentialProvider HTTP/1.1
Content-type: application/json
{
"credentialProviderVendor": "string",
"name": "string",
"providerConfigurationInput": { ... },
"tags": {
"string" : "string"
}
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- credentialProviderVendor
-
The vendor type for the payment credential provider (e.g., CoinbaseCDP, StripePrivy).
Type: String
Valid Values:
CoinbaseCDP | StripePrivyRequired: Yes
- name
-
Unique name for the payment credential provider.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9\-_]+Required: Yes
- providerConfigurationInput
-
Configuration specific to the vendor, including API credentials.
Type: PaymentProviderConfigurationInput object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: Yes
-
Optional tags for resource organization.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
[a-zA-Z0-9\s._:/=+@-]*Value Length Constraints: Minimum length of 0. Maximum length of 256.
Value Pattern:
[a-zA-Z0-9\s._:/=+@-]*Required: No
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"credentialProviderArn": "string",
"credentialProviderVendor": "string",
"name": "string",
"providerConfigurationOutput": { ... }
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- credentialProviderArn
-
The Amazon Resource Name (ARN) of the created payment credential provider.
Type: String
Pattern:
arn:(aws|aws-us-gov):acps:[A-Za-z0-9-]{1,64}:[0-9]{12}:token-vault/[a-zA-Z0-9-.]+/paymentcredentialprovider/[a-zA-Z0-9-.]+ - credentialProviderVendor
-
The vendor type for the created payment credential provider.
Type: String
Valid Values:
CoinbaseCDP | StripePrivy - name
-
The name of the created payment credential provider.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9\-_]+ - providerConfigurationOutput
-
Output configuration (contains secret ARNs, excludes actual secret values).
Type: PaymentProviderConfigurationOutput object
Note: This object is a Union. Only one member of this object can be specified or returned.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
This exception is thrown when a request is denied per access permissions
HTTP Status Code: 403
- ConflictException
-
This exception is thrown when there is a conflict performing an operation
HTTP Status Code: 409
- DecryptionFailure
-
Exception thrown when decryption of a secret fails.
HTTP Status Code: 400
- EncryptionFailure
-
Exception thrown when encryption of a secret fails.
HTTP Status Code: 400
- InternalServerException
-
This exception is thrown if there was an unexpected error during processing of request
HTTP Status Code: 500
- ResourceLimitExceededException
-
Exception thrown when a resource limit is exceeded.
HTTP Status Code: 400
- ResourceNotFoundException
-
This exception is thrown when a resource referenced by the operation does not exist
HTTP Status Code: 404
- ServiceQuotaExceededException
-
This exception is thrown when a request is made beyond the service quota
HTTP Status Code: 402
- ThrottlingException
-
This exception is thrown when the number of requests exceeds the limit
HTTP Status Code: 429
- UnauthorizedException
-
This exception is thrown when the JWT bearer token is invalid or not found for OAuth bearer token based access
HTTP Status Code: 401
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: